// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * State kind
 * </pre>
 *
 * Protobuf enum {@code commonmodule.StateKind}
 */
public enum StateKind
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>StateKind_UNDEFINED = 0;</code>
   */
  StateKind_UNDEFINED(0),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>StateKind_off = 1;</code>
   */
  StateKind_off(1),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>StateKind_on = 2;</code>
   */
  StateKind_on(2),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>StateKind_standby = 3;</code>
   */
  StateKind_standby(3),
  UNRECOGNIZED(-1),
  ;

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>StateKind_UNDEFINED = 0;</code>
   */
  public static final int StateKind_UNDEFINED_VALUE = 0;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>StateKind_off = 1;</code>
   */
  public static final int StateKind_off_VALUE = 1;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>StateKind_on = 2;</code>
   */
  public static final int StateKind_on_VALUE = 2;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>StateKind_standby = 3;</code>
   */
  public static final int StateKind_standby_VALUE = 3;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static StateKind valueOf(int value) {
    return forNumber(value);
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   */
  public static StateKind forNumber(int value) {
    switch (value) {
      case 0: return StateKind_UNDEFINED;
      case 1: return StateKind_off;
      case 2: return StateKind_on;
      case 3: return StateKind_standby;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<StateKind>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      StateKind> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<StateKind>() {
          public StateKind findValueByNumber(int number) {
            return StateKind.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalStateException(
          "Can't get the descriptor of an unrecognized enum value.");
    }
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.getDescriptor().getEnumTypes().get(28);
  }

  private static final StateKind[] VALUES = values();

  public static StateKind valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private StateKind(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:commonmodule.StateKind)
}

